[Numpy-discussion] multivariate_normal issue with 'size' argument

Warren Weckesser warren.weckesser at gmail.com
Fri May 24 10:33:14 EDT 2013


On 5/24/13, Warren Weckesser <warren.weckesser at gmail.com> wrote:
> On 5/24/13, Peter Cock <p.j.a.cock at googlemail.com> wrote:
>> On Fri, May 24, 2013 at 2:47 PM, Warren Weckesser
>> <warren.weckesser at gmail.com> wrote:
>>>
>>>Peter wrote:
>>>> -------------------------------------------
>>>> Successes
>>>> -------------------------------------------
>>>>
>>>> 64 bit Linux:
>>>>
>>>> $ python2.6
>>>> Python 2.6.6 (r266:84292, Sep 11 2012, 08:34:23)
>>>> [GCC 4.4.6 20120305 (Red Hat 4.4.6-4)] on linux2
>>>> Type "help", "copyright", "credits" or "license" for more information.
>>>>>>> import sys;print("%x" % sys.maxsize, sys.maxsize > 2**32)
>>>> ('7fffffffffffffff', True)
>>>>>>> import numpy as np
>>>>>>> print(np.random.multivariate_normal(mean=np.zeros(2), cov=np.eye(2),
>>>>>>> size=1))
>>>> [[-0.27469218 -2.12911784]]
>>>>>>> print(np.random.multivariate_normal(mean=np.zeros(2), cov=np.eye(2),
>>>>>>> size=np.int64(1)))
>>>> [[ 0.02609307  0.32485211]]
>>>>>>> np.__version__
>>>> '1.6.2'
>>>>>>> quit()
>>>>
>>>
>>> Peter: wow, that's a lot of tests!
>>
>> I try to keep a broad range on hand for testing my own code.
>>
>>> Two more data points:
>>> On Ubuntu 12.04, using 64 bit builds of Python 2.7.4 (from Anaconda
>>> 1.5.0), and numpy built from source: numpy 1.6.1 gives the error, but
>>> 1.6.2 does not.
>>>
>>> Warren
>>
>> That's interesting - and matches my only success being with NumPy 1.6.2
>>
>> This suggests this was broken to up 1.6.1, but fixed in the 1.6.2 branch
>> and not the 1.7 branch. Have anyone tried the current master branch?
>>
>
> Sorry, I should have repeated my earlier report about 1.7.1.  My current
> summary
> (all using 64 bit python 2.7.4 from Anaconda 1.5):
>
> numpy 1.6.1 (built from source) fails.
> numpy 1.6.2 (built from source) succeeds.
> numpy 1.7.1 (Anaconda package) succeeds.
>


Latest summary (all on 64 bit Ubuntu 12.04, and all Numpy packages are
built from source)

64 bit Python 2.7.4 (from Anaconda 1.5.0):
numpy 1.6.1 fails.
numpy 1.6.2 succeeds.
numpy 1.7.0 succeeds.
numpy 1.7.1 succeeds.

64 bit Python 3.3.1 (built from source):
numpy 1.7.1 fails.


Warren


> Warren
>
>> Peter
>> _______________________________________________
>> NumPy-Discussion mailing list
>> NumPy-Discussion at scipy.org
>> http://mail.scipy.org/mailman/listinfo/numpy-discussion
>>
>



More information about the NumPy-Discussion mailing list